Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.core
Class ContainerBase.ContainerBackgroundProcessor

    java.lang.Object
      org.apache.catalina.core.ContainerBase.ContainerBackgroundProcessor

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  ContainerBase

protected class ContainerBase.ContainerBackgroundProcessor
extends java.lang.Object
implements java.lang.Runnable

Private thread class to invoke the backgroundProcess method of this container and its children after a fixed delay.

Constructor Summary
`protected` | `ContainerBase.ContainerBackgroundProcessor()`

Method Summary
`protected void` | `processChildren(Container container, java.lang.ClassLoader cl)`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerBase.ContainerBackgroundProcessor

    protected ContainerBase.ContainerBackgroundProcessor()

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### processChildren

    protected void processChildren(Container container,
                                   java.lang.ClassLoader cl)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.